
"""
This file is automatically generated by the dev_setup.py,
contains useful information about this package.
"""

__all__ = ['NAME', 'DESCRIPTION', 'LONG_DESCRIPTION', 'LONG_DESCRIPTION_CONTENT_TYPE', 'CLASSIFIERS', 'ZIP_SAFE', 'AUTHOR', 'VERSION', 'LICENSE', 'PYTHON_REQUIRES', 'URL', 'DOWNLOAD_URL', 'AUTHOR_EMAIL', 'PACKAGES', 'PLATFORMS', 'INSTALL_REQUIRES', 'ENTRY_POINTS']

NAME = 'btmod'
DESCRIPTION = 'Modify Python Built-in Types'
LONG_DESCRIPTION = 'btm - Built-in Types Modificator\n================================\n\nThis is a library written in pure python that allows you to modify the python built-in types easily.\nFor example:\n\n```python\nimport btm\nbtm.addattr(int, "lol", 10)\nprint((1).lol) # Output: 10\n```\n\nHow this works!?\n----------------\n\n- no C extensions, only pure python\n- no preprocessors\n\nUsing the native library ctypes:\n`ctypes.pythonapi._PyObject_GetDictPtr` do the trick.\n\nInstallation\n------------\nThe simpliest way is using [pip](https://github.com/pypa/pip)\n\n```bash\npip install btmod\n```\n\nor from github:\n\n```bash\ngit clone https://github.com/nacho00112/btm\ncd btm\npython3 setup.py install\n```\n\nFor test:\n\n```bash\npython3 test.py\n```\n\nDocumentation\n-------------\n\nThe documentation is available in [The btm documentation page](https://github.com/nacho00112/btm/tree/main/docs/index.md)\n\nContribution\n------------\n\nContributions are welcome, see [CONTRIBUTE.md](https://github.com/nacho00112/btm/tree/main/CONTRIBUTE.md) for more information.\n\nFor bugs, questions, suggestions etc.\n-------------------------------------\n\nGo to [issues](https://github.com/nacho00112/btm/issues).\n\nContact\n-------\n- email\n    - <thurealrubiogame@gmail.com>\n- issues\n    - [issues](https://github.com/nacho00112/btm/issues)\n\nCreators\n--------\n- [Nacho](https://github.com/nacho00112)\n- Only created by me!\n\n'
LONG_DESCRIPTION_CONTENT_TYPE = 'text/markdown'
CLASSIFIERS = ['Programming Language :: Python :: 3.7', 'Programming Language :: Python :: Implementation :: CPython']
ZIP_SAFE = False
AUTHOR = 'Nacho00112'
VERSION = '1.0.2'
LICENSE = 'mit'
PYTHON_REQUIRES = '>=3.7'
URL = 'https://github.com/nacho00112/btm'
DOWNLOAD_URL = 'https://github.com/nacho00112/btm/archive/v1.0.2.tar.gz'
AUTHOR_EMAIL = 'thurealrubiogame@gmail.com'
PACKAGES = ['btm']
PLATFORMS = 'any'
INSTALL_REQUIRES = []
ENTRY_POINTS = {'console_scripts': []}

